# TeamResource Class After Editing

    package samples.model;

    import org.eclipse.rse.core.subsystems.AbstractResource;
    import org.eclipse.rse.core.subsystems.ISubSystem;

    /**
     * This models a remote resource representing a team defined on a particular system.
     */
    public class TeamResource extends AbstractResource {

    	private String name;
    	private DeveloperResource[] developers;

    	/**
    	 * Default constructor
    	 */
    	public TeamResource()
    	{
    		super();
    	}
    	/**
    	 * Constructor for TeamResource when given a parent subsystem.
    	 */
    	public TeamResource(ISubSystem parentSubSystem)
    	{
    		super(parentSubSystem);
    	}

    	/**
    	 * Returns the name.
    	 * @return String
    	 */
    	public String getName()
    	{
    		return name;
    	}

    	/**
    	 * Sets the name.
    	 * @param name The name to set
    	 */
    	public void setName(String name)
    	{
    		this.name = name;
    	}

    	/**
    	 * Returns the developers.
    	 * @return DeveloperResource[]
    	 */
    	public DeveloperResource[] getDevelopers()
    	{
    		return developers;
    	}

    	/**
    	 * Sets the developers.
    	 * @param developers The developers to set
    	 */
    	public void setDevelopers(DeveloperResource[] developers)
    	{
    		this.developers = developers;
    	}

    }